Zum Inhalt springen
Esc
↑↓navigieren↵öffnen⌘Jvorschau

Retrieve an inbox

By id, or by its email address (case-insensitive). An expired inbox is not found.

GET/inboxes/{inbox_id}
Autorisierung
AuthorizationBearer-Token · headererforderlich

A BillionSend API key (bs_…).

Pfadparameter
inbox_idstringerforderlich

The inbox ID or its email address, such as support@example.com

Antworten
200

Inbox

objectstringerforderlich
Erlaubt:inbox
idstring<uuid>erforderlich
namestringerforderlich
email_addressstringerforderlich
domain_idstring<uuid>erforderlich

A shared address's is its team's shared subdomain: the GET /domains row with shared: true

receiving_addressstring | nullerforderlich
from_namestring | nullerforderlich
unreadintegererforderlich

Threads with an unread message

draftsintegererforderlich

Unsent drafts

last_receivedstring | nullerforderlich
created_atstringerforderlich
updated_atstringerforderlich
kindstringerforderlich
Erlaubt:agenthuman
sharedbooleanerforderlich

On the shared inbox domain

expires_atstring | nullerforderlich
quarantinedintegererforderlich

Held messages not yet released

pending_approvalintegererforderlich

Drafts waiting for a person

401

Missing, malformed, unknown or revoked API key

statusCodenumbererforderlich
namestringerforderlich
messagestringerforderlich
404

Not found

statusCodenumbererforderlich
namestringerforderlich
messagestringerforderlich
422

Validation error

statusCodenumbererforderlich
namestringerforderlich
messagestringerforderlich
429

Over the rate limit (rate_limit_exceeded, with Retry-After)

statusCodenumbererforderlich
namestringerforderlich
messagestringerforderlich
Ausprobieren
Server
Autorisierung
Parameter
Anfrage
curl -X GET 'https://api.billionsend.com/inboxes/string' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Antwort
{
  "object": "inbox",
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "name": "string",
  "email_address": "string",
  "domain_id": "b2f7354f-b74d-4332-ab10-1a5e3c56466c",
  "receiving_address": "string",
  "from_name": "string",
  "unread": 0,
  "drafts": 0,
  "last_received": "string",
  "created_at": "string",
  "updated_at": "string",
  "kind": "agent",
  "shared": true,
  "expires_at": "string",
  "quarantined": 0,
  "pending_approval": 0
}

War diese Seite hilfreich?